<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>angular-frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
	   <link rel="stylesheet" href="./styles/style.css">
        <link rel="stylesheet" href="./styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="./" class="navbar-brand">angular-frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content coverage">
                   <div class="content-data">



















<ol class="breadcrumb">
    <li>Documentation coverage</li>
</ol>

<div>
    <img src="./images/coverage-badge-documentation.svg">
</div>

<table class="table table-bordered coverage" id="coverage-table">
    <thead class="coverage-header">
        <tr>
            <th>File</th>
            <th>Type</th>
            <th>Identifier</th>
            <th style="text-align:right" class="statements" data-sort-default>Statements</th>
        </tr>
    </thead>
    <tbody>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/Project.html">projects/projects-app-ang/src/app/Project.ts</a>
            </td>
            <td>interface</td>
            <td>Project</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/7)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/AppComponent.html">projects/projects-app-ang/src/app/app.component.ts</a>
            </td>
            <td>component</td>
            <td>AppComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/6)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/functions.html#httpTranslateLoaderFactory">projects/projects-app-ang/src/app/app.module.ts</a>
            </td>
            <td>function</td>
            <td>httpTranslateLoaderFactory</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/AddProjectComponent.html">projects/projects-app-ang/src/app/components/add-project/add-project.component.ts</a>
            </td>
            <td>component</td>
            <td>AddProjectComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/7)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/AuthComponent.html">projects/projects-app-ang/src/app/components/auth/auth.component.ts</a>
            </td>
            <td>component</td>
            <td>AuthComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/NgxLoginComponent.html">projects/projects-app-ang/src/app/components/auth/login/login.component.ts</a>
            </td>
            <td>component</td>
            <td>NgxLoginComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/2)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/LogoutComponent.html">projects/projects-app-ang/src/app/components/auth/logout/logout.component.ts</a>
            </td>
            <td>component</td>
            <td>LogoutComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/RegisterComponent.html">projects/projects-app-ang/src/app/components/auth/register/register.component.ts</a>
            </td>
            <td>component</td>
            <td>RegisterComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/RequestPasswordComponent.html">projects/projects-app-ang/src/app/components/auth/request-password/request-password.component.ts</a>
            </td>
            <td>component</td>
            <td>RequestPasswordComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/ResetPasswordComponent.html">projects/projects-app-ang/src/app/components/auth/reset-password/reset-password.component.ts</a>
            </td>
            <td>component</td>
            <td>ResetPasswordComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="medium">
            <td>
                <!-- miscellaneous -->
                <a href="./components/LandingComponent.html">projects/projects-app-ang/src/app/components/landing/landing.component.ts</a>
            </td>
            <td>component</td>
            <td>LandingComponent</td>
            <td align="right" data-sort="33">
                <span class="coverage-percent">33 %</span>
                <span class="coverage-count">(1/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/CAccountComponent.html">projects/projects-app-ang/src/app/components/main/m-header/c-account/c-account.component.ts</a>
            </td>
            <td>component</td>
            <td>CAccountComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/CBarComponent.html">projects/projects-app-ang/src/app/components/main/m-header/c-bar/c-bar.component.ts</a>
            </td>
            <td>component</td>
            <td>CBarComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/CExitComponent.html">projects/projects-app-ang/src/app/components/main/m-header/c-exit/c-exit.component.ts</a>
            </td>
            <td>component</td>
            <td>CExitComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/CHomeComponent.html">projects/projects-app-ang/src/app/components/main/m-header/c-home/c-home.component.ts</a>
            </td>
            <td>component</td>
            <td>CHomeComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/CLandingComponent.html">projects/projects-app-ang/src/app/components/main/m-header/c-landing/c-landing.component.ts</a>
            </td>
            <td>component</td>
            <td>CLandingComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/CLanguageComponent.html">projects/projects-app-ang/src/app/components/main/m-header/c-language/c-language.component.ts</a>
            </td>
            <td>component</td>
            <td>CLanguageComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/MHeaderComponent.html">projects/projects-app-ang/src/app/components/main/m-header/m-header.component.ts</a>
            </td>
            <td>component</td>
            <td>MHeaderComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/7)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/MainComponent.html">projects/projects-app-ang/src/app/components/main/main.component.ts</a>
            </td>
            <td>component</td>
            <td>MainComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/CAbschlussComponent.html">projects/projects-app-ang/src/app/components/my-project/c-abschluss/c-abschluss.component.ts</a>
            </td>
            <td>component</td>
            <td>CAbschlussComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/CAnalyseComponent.html">projects/projects-app-ang/src/app/components/my-project/c-analyse/c-analyse.component.ts</a>
            </td>
            <td>component</td>
            <td>CAnalyseComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/CArchivierungComponent.html">projects/projects-app-ang/src/app/components/my-project/c-archivierung/c-archivierung.component.ts</a>
            </td>
            <td>component</td>
            <td>CArchivierungComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/CDurchfuehrungComponent.html">projects/projects-app-ang/src/app/components/my-project/c-durchfuehrung/c-durchfuehrung.component.ts</a>
            </td>
            <td>component</td>
            <td>CDurchfuehrungComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/CErhebungComponent.html">projects/projects-app-ang/src/app/components/my-project/c-erhebung/c-erhebung.component.ts</a>
            </td>
            <td>component</td>
            <td>CErhebungComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/CNachzutzungComponent.html">projects/projects-app-ang/src/app/components/my-project/c-nachzutzung/c-nachzutzung.component.ts</a>
            </td>
            <td>component</td>
            <td>CNachzutzungComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/CPlanungComponent.html">projects/projects-app-ang/src/app/components/my-project/c-planung/c-planung.component.ts</a>
            </td>
            <td>component</td>
            <td>CPlanungComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/CVorbereitungComponent.html">projects/projects-app-ang/src/app/components/my-project/c-vorbereitung/c-vorbereitung.component.ts</a>
            </td>
            <td>component</td>
            <td>CVorbereitungComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/CZugangComponent.html">projects/projects-app-ang/src/app/components/my-project/c-zugang/c-zugang.component.ts</a>
            </td>
            <td>component</td>
            <td>CZugangComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/MyProjectComponent.html">projects/projects-app-ang/src/app/components/my-project/my-project.component.ts</a>
            </td>
            <td>component</td>
            <td>MyProjectComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/22)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/ProjectDetailsComponent.html">projects/projects-app-ang/src/app/components/project-details/project-details.component.ts</a>
            </td>
            <td>component</td>
            <td>ProjectDetailsComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/10)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/ProjectsListComponent.html">projects/projects-app-ang/src/app/components/projects-list/projects-list.component.ts</a>
            </td>
            <td>component</td>
            <td>ProjectsListComponent</td>
            <td align="right" data-sort="9">
                <span class="coverage-percent">9 %</span>
                <span class="coverage-count">(1/11)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/ProjectsMaterialTableComponent.html">projects/projects-app-ang/src/app/components/projects-material-table/projects-material-table.component.ts</a>
            </td>
            <td>component</td>
            <td>ProjectsMaterialTableComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/13)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/ProjectsDataSource.html">projects/projects-app-ang/src/app/components/projects-material-table/projects-material-table.component.ts</a>
            </td>
            <td>class</td>
            <td>ProjectsDataSource</td>
            <td align="right" data-sort="9">
                <span class="coverage-percent">9 %</span>
                <span class="coverage-count">(1/11)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/MessageService.html">projects/projects-app-ang/src/app/message.service.ts</a>
            </td>
            <td>injectable</td>
            <td>MessageService</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/MessagesComponent.html">projects/projects-app-ang/src/app/messages/messages.component.ts</a>
            </td>
            <td>component</td>
            <td>MessagesComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/CProjectsTableComponent.html">projects/projects-app-ang/src/app/p-project-overview/c-projects-table/c-projects-table.component.ts</a>
            </td>
            <td>component</td>
            <td>CProjectsTableComponent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/16)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/ProjectsDataSource.html">projects/projects-app-ang/src/app/p-project-overview/c-projects-table/c-projects-table.component.ts</a>
            </td>
            <td>class</td>
            <td>ProjectsDataSource</td>
            <td align="right" data-sort="9">
                <span class="coverage-percent">9 %</span>
                <span class="coverage-count">(1/11)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/PageService.html">projects/projects-app-ang/src/app/page.service.ts</a>
            </td>
            <td>injectable</td>
            <td>PageService</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/8)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/ProjectAppService.html">projects/projects-app-ang/src/app/services/project-app.service.ts</a>
            </td>
            <td>injectable</td>
            <td>ProjectAppService</td>
            <td align="right" data-sort="15">
                <span class="coverage-percent">15 %</span>
                <span class="coverage-count">(2/13)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#environment">projects/projects-app-ang/src/environments/environment.prod.ts</a>
            </td>
            <td>variable</td>
            <td>environment</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#environment">projects/projects-app-ang/src/environments/environment.ts</a>
            </td>
            <td>variable</td>
            <td>environment</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
    </tbody>
</table>

<script src="js/libs/tablesort.min.js"></script>
<script src="js/libs/tablesort.number.min.js"></script>
<script>
    new Tablesort(document.getElementById('coverage-table'));
</script>

                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 0;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'coverage';
            var COMPODOC_CURRENT_PAGE_URL = 'coverage.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="./js/libs/custom-elements.min.js"></script>
       <script src="./js/libs/lit-html.js"></script>

       <script src="./js/menu-wc.js" defer></script>
       <script nomodule src="./js/menu-wc_es5.js" defer></script>

       <script src="./js/libs/bootstrap-native.js"></script>

       <script src="./js/libs/es6-shim.min.js"></script>
       <script src="./js/libs/EventDispatcher.js"></script>
       <script src="./js/libs/promise.min.js"></script>
       <script src="./js/libs/zepto.min.js"></script>

       <script src="./js/compodoc.js"></script>

       <script src="./js/tabs.js"></script>
       <script src="./js/menu.js"></script>
       <script src="./js/libs/clipboard.min.js"></script>
       <script src="./js/libs/prism.js"></script>
       <script src="./js/sourceCode.js"></script>
          <script src="./js/search/search.js"></script>
          <script src="./js/search/lunr.min.js"></script>
          <script src="./js/search/search-lunr.js"></script>
          <script src="./js/search/search_index.js"></script>
       <script src="./js/lazy-load-graphs.js"></script>


    </body>
</html>
